| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::message::message_interaction_struct Struct Reference

Reference to an interaction. More...

`#include <message.h>`

Collaboration diagram for dpp::message::message_interaction_struct:
[legend]

## Public Attributes

snowflake | id
| ID of the interaction.
std::string | name
| Name of the application command.
uint8_t | type
| Type of interaction.
user | usr
| The user who invoked the interaction.

## Detailed Description

Reference to an interaction.

## Member Data Documentation

## ◆ id

snowflake dpp::message::message_interaction_struct::id

ID of the interaction.

## ◆ name

std::string dpp::message::message_interaction_struct::name

Name of the application command.

## ◆ type

uint8_t dpp::message::message_interaction_struct::type

Type of interaction.

## ◆ usr

user dpp::message::message_interaction_struct::usr

The user who invoked the interaction.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0